---
lang: en
title: 'API docs: context.describeinjectedproperties'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.describeinjectedproperties.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [describeInjectedProperties](./context.describeinjectedproperties.md)

## describeInjectedProperties() function

Return a map of injection objects for properties

**Signature:**

```typescript
export declare function describeInjectedProperties(target: Object): MetadataMap<Readonly<Injection>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | Object | The target class for static properties or prototype for instance properties. |

**Returns:**

[MetadataMap](./metadata.metadatamap.md)<!-- -->&lt;Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt;&gt;


